<?php

namespace Licenzo\Services\Events;

use Licenzo\Helper\Action;
use Licenzo\Helper\Filter;


// Prevent direct access
if (!defined('ABSPATH')) {
    exit;
}

class Hook {
    public static function dispatch($action, $payload = []) {
        return Action::dispatch($action, $payload);
    }

    public static function listen($action, $callback, $priority = 10, $acceptedArgs = 1) {
        return Action::listen($action, $callback, $priority, $acceptedArgs);
    }


    public static function applyFilter($filter, $value,) {
        return Filter::apply($filter, $value);
    }

    public static function addFilter($filter, $callback, $priority = 10, $acceptedArgs = 1) {
        return Filter::add($filter, $callback, $priority, $acceptedArgs);
    }
}

